/**
 * [OElove] (C)2010-2099 oelove.com biz
 * Email: service@phpcoo.com ,phpcoo@qq.com
 * This is NOT a freeware, use is subject to license terms
 * $ Last update 2020/03/10 by CL $
*/
var _inst_oepage = null; //当前页面对象 通用分页列表
$(function(){
    //初始化
    function OEPage() {
        this.pull_box_id = "pull_box";
        this.pull_data_id = "pull_data";
        this.scroll = null;
        this.params = "";
        this._this_dialog = null;
        this.slide_time = 200;
        
        this.pullUpLoad();
    }
    
    OEPage.prototype = {
        
        //上拉分页
        pullUpLoad:function() {
            var _this = this;
            _this.scroll = OEUI.pullUpLoad({
                el: document.getElementById(_this.pull_box_id),
                pullUp: function (pullUp) {
                    var $page = $("#page").val();
                    pullUpLoad({
                        pullUp: pullUp,
                        page:$page,
                        pulldata:_this.pull_data_id,
                        callback: function(data) {
                            
                            //回调，赋值total数量
                            var $total = data.total;
                            if (typeof($total) == 'undefined') {
                                $total = '0';
                            }
                            if ($("#total_tips").length > 0) {
                                $("#total_tips").html($total);
                            }
                        }
                    });
                }
            });
        }
    }
    _inst_oepage = new OEPage();
});